For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create batch

Creates a new message batch with attachments.

post

Creates and queues a batch of raw messages with file attachments. Use multipart/form-data content type to include files.

Body
formobjectOptional
Responses
201

Created

application/json

Represents a batch of notification messages that share common properties.

idstringOptional
revisioninteger · int32Optional
bodystring · nullableOptional

Gets or sets the body content for messages in this batch.

subjectstringOptional

Gets or sets the subject for messages in this batch.

statusstringOptional

Gets or sets the current status of the batch.

statusReasonstring · nullableOptional

Gets or sets the reason for the current status of the batch.

typestringOptional

Gets or sets the type of batch.

payloadstring · nullableOptional

Gets or sets the payload data used for template-based batches.

sendContextstringOptional

Gets or sets the send context of the batch.

post/public/v1/notifications/batches
POST /public/v1/notifications/batches HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 399

{
  "batch": {
    "content": {
      "templated": {
        "template": {
          "id": "text",
          "externalId": "text",
          "languageCode": "text"
        },
        "data": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "test": true
      },
      "raw": {
        "category": {
          "id": "text"
        },
        "subject": "text",
        "body": "text"
      }
    },
    "recipients": {
      "account": {
        "id": "text"
      },
      "buyer": {
        "id": "text",
        "externalIds": {
          "erpCustomerId": "text"
        }
      },
      "user": {
        "id": "text"
      },
      "contacts": [
        {
          "id": "text",
          "email": "text"
        }
      ]
    }
  },
  "form": {}
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "completed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "processed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "account": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active",
    "externalIds": {
      "pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
    },
    "externalId": "text",
    "externalName": "text",
    "address": {
      "addressLine1": "text",
      "addressLine2": "text",
      "postCode": "text",
      "city": "text",
      "state": "text",
      "country": "text"
    },
    "technicalSupportEmail": "text",
    "website": "text",
    "description": "text",
    "groups": [
      {
        "id": "text",
        "name": "text",
        "revision": 1,
        "description": "text",
        "logo": "text",
        "isDefault": true
      }
    ],
    "eligibility": {
      "client": true,
      "partner": true
    },
    "defaultLanguageCode": "text"
  },
  "attachments": [
    {
      "id": "text",
      "href": "text",
      "name": "text",
      "fileName": "text",
      "fileSize": 1,
      "contentType": "text"
    }
  ],
  "body": "text",
  "category": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "published": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "unpublished": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "deleted": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "revision": 1,
    "description": "text",
    "optOutAllowed": true,
    "status": "text",
    "note": "text",
    "deleteAllowed": true,
    "statistics": {
      "month": 1,
      "today": 1,
      "week": 1
    },
    "lastUsed": "2026-01-01T00:00:00.000Z",
    "enabledByDefault": true
  },
  "template": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "activated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "deleted": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "disabled": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "revision": 1,
    "category": {
      "id": "text",
      "name": "text",
      "revision": 1,
      "description": "text",
      "lastUsed": "2026-01-01T00:00:00.000Z"
    },
    "criteria": {
      "accountTypes": [
        "text"
      ],
      "filterCondition": "text",
      "objectType": "text",
      "recipients": {
        "selector": "text"
      }
    },
    "defaultVariant": {
      "id": "text",
      "revision": 1,
      "default": true,
      "languageCode": "text",
      "status": "text"
    },
    "description": "text",
    "lastUsed": "2026-01-01T00:00:00.000Z",
    "owner": {
      "id": "text",
      "name": "text",
      "icon": "text",
      "revision": 1,
      "type": "Client",
      "status": "Active"
    },
    "statistics": {
      "month": 1,
      "today": 1,
      "week": 1
    },
    "status": "text",
    "variants": [
      {
        "id": "text",
        "revision": 1,
        "default": true,
        "languageCode": "text",
        "status": "text"
      }
    ],
    "externalId": "text"
  },
  "statistics": {
    "bounced": 1,
    "complained": 1,
    "discarded": 1,
    "failed": 1,
    "queued": 1,
    "sent": 1,
    "total": 1
  },
  "subject": "text",
  "status": "text",
  "statusReason": "text",
  "type": "text",
  "payload": "text",
  "sendContext": "text",
  "sourceAccount": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  }
}

Last updated

Was this helpful?